Page MenuHomePhabricator

Implement wbsearchentities search for Lexemes
Closed, ResolvedPublic

Description

Implement wbsearchentities for lexeme entity type, with following properties:

  • In completion search for Lexemes, lemma matches should be preferred, form representations act as aliases
  • The search will allow hints such as language & lexical category Q-ids, which if set will filter the results to items having those.
  • The result display is description of Lexeme, e.g.: Leiter (L1): German noun

Related Objects

Event Timeline

Smalyshev triaged this task as Normal priority.Mar 28 2018, 10:27 PM
Smalyshev created this task.

Change 422579 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/Wikibase@master] Make Entity search flexible and dispatching on entity type.

https://gerrit.wikimedia.org/r/422579

Smalyshev added a project: User-Smalyshev.
Smalyshev moved this task from Backlog to Doing on the User-Smalyshev board.

Change 423587 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/WikibaseLexeme@master] [WIP] Search Lexemes

https://gerrit.wikimedia.org/r/423587

Smalyshev moved this task from Doing to In review on the User-Smalyshev board.Apr 12 2018, 8:37 PM

Change 425927 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/WikibaseLexeme@master] Move lexeme description creation into a separate class

https://gerrit.wikimedia.org/r/425927

Change 422579 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Make Entity search flexible and dispatching on entity type.

https://gerrit.wikimedia.org/r/422579

Change 423587 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Completion Search for Lexemes

https://gerrit.wikimedia.org/r/423587

Change 425927 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Move lexeme description creation into a separate class

https://gerrit.wikimedia.org/r/425927

Smalyshev closed this task as Resolved.Apr 17 2018, 10:17 PM